osgDB::OutputIterator Class Referenceabstract

`#include <StreamOperator>`

Inheritance diagram for osgDB::OutputIterator:

## Public Member Functions

| OutputIterator ()
virtual | ~OutputIterator ()
void | setStream (std::ostream *ostream)
std::ostream * | getStream ()
const std::ostream * | getStream () const
void | setOutputStream (OutputStream *outputStream)
OutputStream * | getOutputStream ()
const OutputStream * | getOutputStream () const
void | setSupportBinaryBrackets (bool b)
bool | getSupportBinaryBrackets () const
virtual bool | isBinary () const =0
virtual void | writeBool (bool b)=0
virtual void | writeChar (char c)=0
virtual void | writeUChar (unsigned char c)=0
virtual void | writeShort (short s)=0
virtual void | writeUShort (unsigned short s)=0
virtual void | writeInt (int i)=0
virtual void | writeUInt (unsigned int i)=0
virtual void | writeLong (long l)=0
virtual void | writeULong (unsigned long l)=0
virtual void | writeInt64 (GLint64 ll)=0
virtual void | writeUInt64 (GLuint64 ull)=0
virtual void | writeFloat (float f)=0
virtual void | writeDouble (double d)=0
virtual void | writeString (const std::string &s)=0
virtual void | writeStream (std::ostream &(*fn)(std::ostream &))=0
virtual void | writeBase (std::ios_base &(*fn)(std::ios_base &))=0
virtual void | writeGLenum (const ObjectGLenum &value)=0
virtual void | writeProperty (const ObjectProperty &prop)=0
virtual void | writeMark (const ObjectMark &mark)=0
virtual void | writeCharArray (const char *s, unsigned int size)=0
virtual void | writeWrappedString (const std::string &str)=0
virtual void | flush ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

bool | isEndl (std::ostream &(*fn)(std::ostream &))
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

std::ostream * | _out
osgDB::OutputStream * | _outputStream
bool | _supportBinaryBrackets
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Constructor & Destructor Documentation

## OutputIterator()

osgDB::OutputIterator::OutputIterator | ( |  | ) |

inline

References _out, _outputStream, and _supportBinaryBrackets.

## ~OutputIterator()

virtual osgDB::OutputIterator::~OutputIterator | ( |  | ) |

inline virtual

## Member Function Documentation

## flush()

virtual void osgDB::OutputIterator::flush | ( |  | ) |

inline virtual

References _out.

## getOutputStream() [1/2]

OutputStream * osgDB::OutputIterator::getOutputStream | ( |  | ) |

inline

References _outputStream.

## getOutputStream() [2/2]

const OutputStream * osgDB::OutputIterator::getOutputStream | ( |  | ) | const

inline

References _outputStream.

## getStream() [1/2]

std::ostream * osgDB::OutputIterator::getStream | ( |  | ) |

inline

References _out.

## getStream() [2/2]

const std::ostream * osgDB::OutputIterator::getStream | ( |  | ) | const

inline

References _out.

## getSupportBinaryBrackets()

bool osgDB::OutputIterator::getSupportBinaryBrackets | ( |  | ) | const

inline

References _supportBinaryBrackets.

## isBinary()

virtual bool osgDB::OutputIterator::isBinary | ( |  | ) | const

pure virtual

## isEndl()

bool osgDB::OutputIterator::isEndl | ( | std::ostream &(* | fn )(std::ostream &) | ) |

inline protected

## setOutputStream()

void osgDB::OutputIterator::setOutputStream | ( | OutputStream * | outputStream | ) |

inline

References _outputStream.

## setStream()

void osgDB::OutputIterator::setStream | ( | std::ostream * | ostream | ) |

inline

References _out.

## setSupportBinaryBrackets()

void osgDB::OutputIterator::setSupportBinaryBrackets | ( | bool | b | ) |

inline

References _supportBinaryBrackets.

## writeBase()

virtual void osgDB::OutputIterator::writeBase | ( | std::ios_base &(* | fn )(std::ios_base &) | ) |

pure virtual

## writeBool()

virtual void osgDB::OutputIterator::writeBool | ( | bool | b | ) |

pure virtual

## writeChar()

virtual void osgDB::OutputIterator::writeChar | ( | char | c | ) |

pure virtual

## writeCharArray()

virtual void osgDB::OutputIterator::writeCharArray | ( | const char * | s,
|  | unsigned int | size )

pure virtual

## writeDouble()

virtual void osgDB::OutputIterator::writeDouble | ( | double | d | ) |

pure virtual

## writeFloat()

virtual void osgDB::OutputIterator::writeFloat | ( | float | f | ) |

pure virtual

## writeGLenum()

virtual void osgDB::OutputIterator::writeGLenum | ( | const ObjectGLenum & | value | ) |

pure virtual

## writeInt()

virtual void osgDB::OutputIterator::writeInt | ( | int | i | ) |

pure virtual

## writeInt64()

virtual void osgDB::OutputIterator::writeInt64 | ( | GLint64 | ll | ) |

pure virtual

## writeLong()

virtual void osgDB::OutputIterator::writeLong | ( | long | l | ) |

pure virtual

## writeMark()

virtual void osgDB::OutputIterator::writeMark | ( | const ObjectMark & | mark | ) |

pure virtual

## writeProperty()

virtual void osgDB::OutputIterator::writeProperty | ( | const ObjectProperty & | prop | ) |

pure virtual

## writeShort()

virtual void osgDB::OutputIterator::writeShort | ( | short | s | ) |

pure virtual

## writeStream()

virtual void osgDB::OutputIterator::writeStream | ( | std::ostream &(* | fn )(std::ostream &) | ) |

pure virtual

## writeString()

virtual void osgDB::OutputIterator::writeString | ( | const std::string & | s | ) |

pure virtual

## writeUChar()

virtual void osgDB::OutputIterator::writeUChar | ( | unsigned char | c | ) |

pure virtual

## writeUInt()

virtual void osgDB::OutputIterator::writeUInt | ( | unsigned int | i | ) |

pure virtual

## writeUInt64()

virtual void osgDB::OutputIterator::writeUInt64 | ( | GLuint64 | ull | ) |

pure virtual

## writeULong()

virtual void osgDB::OutputIterator::writeULong | ( | unsigned long | l | ) |

pure virtual

## writeUShort()

virtual void osgDB::OutputIterator::writeUShort | ( | unsigned short | s | ) |

pure virtual

## writeWrappedString()

virtual void osgDB::OutputIterator::writeWrappedString | ( | const std::string & | str | ) |

pure virtual

## Member Data Documentation

## _out

std::ostream* osgDB::OutputIterator::_out

protected

Referenced by flush(), getStream(), getStream(), OutputIterator(), and setStream().

## _outputStream

osgDB::OutputStream* osgDB::OutputIterator::_outputStream

protected

Referenced by getOutputStream(), getOutputStream(), OutputIterator(), and setOutputStream().

## _supportBinaryBrackets

bool osgDB::OutputIterator::_supportBinaryBrackets

protected

Referenced by getSupportBinaryBrackets(), OutputIterator(), and setSupportBinaryBrackets().

The documentation for this class was generated from the following file:

- StreamOperator